> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List simulation boards in a study

> List simulation boards belonging to a study.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /projects/{project_id}/studies/{study_id}/simulation_boards
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /projects/{project_id}/studies/{study_id}/simulation_boards:
    get:
      tags:
        - simulation_boards
      summary: List simulation boards in a study
      description: List simulation boards belonging to a study.
      operationId: >-
        list_simulation_boards_projects__project_id__studies__study_id__simulation_boards_get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            title: Project Id
        - name: study_id
          in: path
          required: true
          schema:
            type: string
            title: Study Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            title: Offset
            default: 0
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SimulationBoard'
                title: >-
                  Response List Simulation Boards Projects  Project Id  Studies 
                  Study Id  Simulation Boards Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SimulationBoard:
      properties:
        name:
          type: string
          title: Name
          description: The name of the simulation board.
        template_id:
          type: string
          title: Template Id
          description: The experiment template this board is bound to.
        project_id:
          type: string
          title: Project Id
          description: The project this simulation board belongs to.
        study_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Study Id
          description: The study this simulation board belongs to, if any.
        organization_id:
          type: string
          title: Organization Id
          description: Organization this simulation board belongs to.
        config:
          additionalProperties: true
          type: object
          title: Config
          description: Visualization config (plots and grid layout).
        table_filter:
          additionalProperties: true
          type: object
          title: Table Filter
          description: Persisted MUI DataGrid filter model for this board.
        column_visibility:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Column Visibility
          description: Persisted MUI DataGrid column visibility model for this board.
        id:
          type: string
          title: Id
          description: The unique identifier for the board.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp of when the board was created.
      type: object
      required:
        - name
        - template_id
        - project_id
        - organization_id
        - id
        - created_at
      title: SimulationBoard
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````